## uvch264mjpgdemux uvch264mjpgdemux — UVC H264 compliant MJPG demuxer |

## Properties

gint | device-fd | Read / Write
gint | num-clock-samples | Read / Write / Construct

## Types and Values

struct | GstUvcH264MjpgDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstUvcH264MjpgDemux

## Description

Parses a MJPG stream from a UVC H264 compliant encoding camera and extracts each muxed stream into separate pads.

## Synopsis

### Element Information

plugin | uvch264
author | Youness Alaoui <youness.alaoui@collabora.co.uk>
class | Video/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | h264
direction | source
presence | always
details | video/x-h264, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | jpeg
direction | source
presence | always
details | image/jpeg, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | nv12
direction | source
presence | always
details | video/x-raw, format=(string)NV12, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | yuy2
direction | source
presence | always
details | video/x-raw, format=(string)YUY2, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstUvcH264MjpgDemux

    struct GstUvcH264MjpgDemux;

## Property Details

### The `“device-fd”` property

      “device-fd”                gint

File descriptor of the v4l2 device.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“num-clock-samples”` property

      “num-clock-samples”        gint

Number of clock samples to gather for the PTS synchronization (-1 = unlimited).

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 32